MysqlndUhConnection::getStatistics
MysqlndUhConnection::getWarningCount
MysqlndUhConnection
PHP Manual

# MysqlndUhConnection::getThreadId

Returns the thread ID for the current connection

### Description

public int MysqlndUhConnection::getThreadId ( mysqlnd_connection `$connection` )

Returns the thread ID for the current connection.

### Parameters

`connection`

  Mysqlnd connection handle. Do not modify!

### Return Values

Connection thread id.

### Examples

Example #1 MysqlndUhConnection::getThreadId example

`<?php
class proxy extends MysqlndUhConnection {
public function getThreadId($res) {
printf("%s(%s)\n", __METHOD__, var_export(func_get_args(), true));
$ret = parent::getThreadId($res);
printf("%s returns %s\n", __METHOD__, var_export($ret, true));
return $ret;
}
}
mysqlnd_uh_set_connection_proxy(new proxy());
$mysqli = new mysqli("localhost", "root", "", "test");
var_dump($mysqli->thread_id);
?>`

The above example will output:

    proxy::getThreadId(array (
      0 => NULL,
    ))
    proxy::getThreadId returns 27646
    int(27646)

### See Also

- mysqlnd_uh_set_connection_proxy
- mysqli_thread_id
- mysql_thread_id